### ip::resolver_query_base

The `ip::resolver_query_base` class is used as a base for the `ip::basic_resolver_query` class templates to provide a common place to define the flag constants.

    class resolver_query_base :
      public ip::resolver_base

##### Types

Name | Description
--- | ---
flags | A bitmask type (C++ Std [lib.bitmask.types]).

##### Protected Member Functions

Name | Description
--- | ---
~resolver_query_base [destructor] | Protected destructor to prevent deletion through this type.

##### Data Members

Name | Description
--- | ---
address_configured [static] | Only return IPv4 addresses if a non-loopback IPv4 address is configured for the system. Only return IPv6 addresses if a non-loopback IPv6 address is configured for the system.
all_matching [static] | If used with v4_mapped, return all matching IPv6 and IPv4 addresses.
canonical_name [static] | Determine the canonical name of the host specified in the query.
numeric_host [static] | Host name should be treated as a numeric string defining an IPv4 or IPv6 address and no name resolution should be attempted.
numeric_service [static] | Service name should be treated as a numeric string defining a port number and no name resolution should be attempted.
passive [static] | Indicate that returned endpoint is intended for use as a locally bound socket endpoint.
v4_mapped [static] | If the query protocol family is specified as IPv6, return IPv4-mapped IPv6 addresses on finding no IPv6 addresses.

##### Requirements

Header: `asio/ip/resolver_query_base.hpp`

Convenience header: `asio.hpp`